<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::op_scale_rows_diag&lt; M1, M2 &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="structdlib_1_1op__scale__rows__diag.html">op_scale_rows_diag</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="structdlib_1_1op__scale__rows__diag-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::op_scale_rows_diag&lt; M1, M2 &gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a4d50029e4d4ca776e8eef1501df66ba7"><td class="memItemLeft" align="right" valign="top"><a id="a4d50029e4d4ca776e8eef1501df66ba7"></a>
typedef M1::type&#160;</td><td class="memItemRight" valign="bottom"><b>type</b></td></tr>
<tr class="separator:a4d50029e4d4ca776e8eef1501df66ba7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f61f574bea589495ee2d9bfd8cec10a"><td class="memItemLeft" align="right" valign="top"><a id="a3f61f574bea589495ee2d9bfd8cec10a"></a>
typedef const M1::type&#160;</td><td class="memItemRight" valign="bottom"><b>const_ret_type</b></td></tr>
<tr class="separator:a3f61f574bea589495ee2d9bfd8cec10a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31583774e933bc2916d011796c450e98"><td class="memItemLeft" align="right" valign="top"><a id="a31583774e933bc2916d011796c450e98"></a>
typedef M1::mem_manager_type&#160;</td><td class="memItemRight" valign="bottom"><b>mem_manager_type</b></td></tr>
<tr class="separator:a31583774e933bc2916d011796c450e98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ba22926ed76b2e5e942bc85bc718f76"><td class="memItemLeft" align="right" valign="top"><a id="a4ba22926ed76b2e5e942bc85bc718f76"></a>
typedef M1::layout_type&#160;</td><td class="memItemRight" valign="bottom"><b>layout_type</b></td></tr>
<tr class="separator:a4ba22926ed76b2e5e942bc85bc718f76"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a8b015d76b809b43849fd63cc00456fd3"><td class="memItemLeft" align="right" valign="top"><a id="a8b015d76b809b43849fd63cc00456fd3"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>op_scale_rows_diag</b> (const M1 &amp;m1_, const M2 &amp;m2_)</td></tr>
<tr class="separator:a8b015d76b809b43849fd63cc00456fd3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afdd09ccc8982e0ac5481adac2641b40f"><td class="memItemLeft" align="right" valign="top"><a id="afdd09ccc8982e0ac5481adac2641b40f"></a>
const_ret_type&#160;</td><td class="memItemRight" valign="bottom"><b>apply</b> (long r, long c) const</td></tr>
<tr class="separator:afdd09ccc8982e0ac5481adac2641b40f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8975bc34536c686ef6ad05ad9078e377"><td class="memItemLeft" align="right" valign="top"><a id="a8975bc34536c686ef6ad05ad9078e377"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nr</b> () const</td></tr>
<tr class="separator:a8975bc34536c686ef6ad05ad9078e377"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43deddec6efd2e64119ccf0ea49dd7c3"><td class="memItemLeft" align="right" valign="top"><a id="a43deddec6efd2e64119ccf0ea49dd7c3"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nc</b> () const</td></tr>
<tr class="separator:a43deddec6efd2e64119ccf0ea49dd7c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01b5b2270e32cc74672606a852ba543e"><td class="memTemplParams" colspan="2"><a id="a01b5b2270e32cc74672606a852ba543e"></a>
template&lt;typename U &gt; </td></tr>
<tr class="memitem:a01b5b2270e32cc74672606a852ba543e"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><b>aliases</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; U &gt; &amp;item) const</td></tr>
<tr class="separator:a01b5b2270e32cc74672606a852ba543e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af71d397c461aec72cf9d6c747f882fbe"><td class="memTemplParams" colspan="2"><a id="af71d397c461aec72cf9d6c747f882fbe"></a>
template&lt;typename U &gt; </td></tr>
<tr class="memitem:af71d397c461aec72cf9d6c747f882fbe"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><b>destructively_aliases</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; U &gt; &amp;item) const</td></tr>
<tr class="separator:af71d397c461aec72cf9d6c747f882fbe"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:af297d63c1544b6214901fa84d3ea65f3"><td class="memItemLeft" align="right" valign="top"><a id="af297d63c1544b6214901fa84d3ea65f3"></a>
const M1 &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>m1</b></td></tr>
<tr class="separator:af297d63c1544b6214901fa84d3ea65f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37355e47d9181467ce13d5cbc300c85c"><td class="memItemLeft" align="right" valign="top"><a id="a37355e47d9181467ce13d5cbc300c85c"></a>
const M2 &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>m2</b></td></tr>
<tr class="separator:a37355e47d9181467ce13d5cbc300c85c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a8c2b3c5029f28b9f9cabb84c3de83752"><td class="memItemLeft" align="right" valign="top"><a id="a8c2b3c5029f28b9f9cabb84c3de83752"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>cost</b> = M1::cost + M2::cost + 1</td></tr>
<tr class="separator:a8c2b3c5029f28b9f9cabb84c3de83752"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a948714ca30072a28bb4b857f047b51c3"><td class="memItemLeft" align="right" valign="top"><a id="a948714ca30072a28bb4b857f047b51c3"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NR</b> = M1::NR</td></tr>
<tr class="separator:a948714ca30072a28bb4b857f047b51c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81864a1d7195bd66ebb2b2c454f5309a"><td class="memItemLeft" align="right" valign="top"><a id="a81864a1d7195bd66ebb2b2c454f5309a"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NC</b> = M1::NC</td></tr>
<tr class="separator:a81864a1d7195bd66ebb2b2c454f5309a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="matrix__utilities_8h_source.html">matrix_utilities.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
